* {
    box-sizing: border-box;
}

body {
    margin: 0;

    background-color: #dadada;
}

h2 {
    font-family: nudles;
    color: rgb(205, 255, 147);
}
.map {
    position: absolute;
    top: 0;
    left: 0;
    width: 4500px;
    height: 4500px;
}

.block {
    position: absolute;
    top: 129px;
    left: 72px;

    box-shadow: 0 0 -16px 7px #ff9200;
    border: 0px solid black;
}

.header {
    position: absolute;

    top: 20px;
    left: 20px;
    font-size: 22pt;
}

.odkaz {
    position: absolute;
    top: 4500px;
    left: 64px;
    font-size: 11pt;
}

.odkaz2 {
    position: absolute;
    top: 2500px;
    left: 1500px;
    font-size: 11pt;
}

.odkaz3 {
    position: absolute;
    top: 1807px;
    left: 1500px;
    font-size: 10pt;
}

.odkaz4 {
    position: absolute;
    top: 3600px;
    left: 2030px;
    font-size: 10pt;
}
#obrazek {
    top: 380px;
    left: 835px;
}

#obrazek2 {
    top: 961px;
    left: 3600px;
}

#obrazek3 {
    top: 1508px;
    left: 1276px;
}

#obrazek4 {
    top: 4000px;
    left: 261px;
}

#hugging {
    top: 960px;
    left: 4062px;
}

#hugging2 {
    top: 1890px;
    left: 2630px;
}

#selfhug {
    top: 2855px;
    left: -31px;
}

#clickme {
    top: 3667px;
    left: 3878px;
}

#kocka {
    top: 2175px;
    left: 2763px;
}

.text {
    position: absolute;
    top: 670px;
    left: 541px;
    width: 472px;
}

.text2 {
    position: absolute;
    top: 1500px;
    left: 1053px;
    width: 472px;
}

.text3 {
    position: absolute;
    top: 3000px;
    left: 346px;
    width: 620px;
}

.text4 {
    position: absolute;
    top: 1950px;
    left: 3000px;
    width: 620px;
}

button {
    background: #fb00ff;
    color: rgb(249, 249, 249);
    font-size: 32pt;
    padding: 6ch 6ch;
    border-radius: 487px;
    border: dotted;

    position: relative;
    top: 3900px;
    left: 3900px;

    &:before {
        --vibrance: 51%;
        content: " ";
        position: absolute;
        inset: 4px 11px -9px;
        background: linear-gradient(to right in oklch longer hue, oklch(95% var(--vibrance) 0) 0 100%);
        filter: blur(26px);
        z-index: 59;
    }
}

@layer support {
    * {
        box-sizing: border-box;
        margin: 11;
    }

    body {
        min-block-size: 100%;
        font-family: system-ui, sans-serif;

        display: grid;
        place-content: center;
    }
}

